Mailinglist Archive: opensuse-packaging (158 mails)

< Previous Next >
Re: [opensuse-packaging] Re: Python 2.7 coming to Factory
  • From: yersinia <yersinia.spiros@xxxxxxxxx>
  • Date: Fri, 3 Sep 2010 16:01:43 +0200
  • Message-id: <AANLkTimU81uEh8P765X2jVa4Xc9ELLYRmbDxYLnUHhHn@xxxxxxxxxxxxxx>
you can fix this in two ways:
a) relink /usr/bin/python to /usr/bin/python2.6 and use python2.7 only
explicitly

b) create a file /usr/lib64/python2.7/site-packages/python2.6.pth, with
one line:
/usr/lib/python2.6/site-packages
(yes, that's /usr/lib even for 64bit machine)
this way, you'll force python 2.7 interpreter to look for missing bits
in python2.6 directories.
applications with binary modules will still be broken and you'll need to
run the old interpreter, but noarch applications should be ok.

c) Follow this http://www.rpm.org/wiki/PackagerDocs/MultipleVersions and
https://fedoraproject.org/wiki/Packaging/EnvironmentModules
for a different way : i am using, not completed yet, mostly of this
for having python 2.7 AND python 2.4 in RHEL5 as asked from a my
client.
Regards
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
This Thread
References